package comparator.test.common;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.List;

import comparator.test.common.bean.Customer;

/**
 * Util-Klasse fr Unit-Tests.
 * 
 * @author Heiner K&uuml;cker
 */
public final class TestUtil
{
    /**
     * Erzeugen Testdaten.
     * 
     * @return Liste mit {@link Customer}-Objekten
     */
    public static List<Customer> createCustomerList()
    {
        final List<Customer> customerList = new ArrayList<>();

        {
            final Customer customer1 =
                    new Customer();

            customer1.setPreName( "Anton" );
            customer1.setSurName( "Meyer" );
            customer1.setBirth( new Date( 0 ) );

            customerList.add( customer1 );
        }

        {
            final Customer customer2 =
                    new Customer();

            customer2.setPreName( "Berta" );
            customer2.setSurName( "Meier" );
            // Initialisieren Geburts-Datum customer2 nach Geburts-Datum customer1
            customer2.setBirth( new Date( 48L * 60L * 60L * 1000L ) );

            customerList.add( customer2 );
        }

        // Liste durchmischen, damit die Unit-Tests nicht zufllig aufgrund der initialen Reihenfolge erfolgreich sind
        Collections.shuffle( customerList );

        return customerList;
    }

}
