package comparator.util;

/**
 * Interface fr Property-Setter
 * ohne Reflection.
 * 
 * @param <B> Type-Parameter, Typ der Bean
 * @param <P> Type-Parameter, Typ der Property
 * @author Heiner K&uuml;cker
 */
public interface Setter<B, P>
{
    /**
     * Zu implementierende Methode
     * zum Setzen eines Property-Wertes
     * in der bergebenen Bean.
     * 
     * @param bean zu verndernde Bean
     * @param value zu setzender Property-Wert
     */
    public void set(
            final B bean ,
            final P value );
}
